package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.entity.ConfigureDataCollectEnableApply;

import java.util.List;

public interface ConfigureDataCollectEnableApplyService extends IService<ConfigureDataCollectEnableApply> {

    IPage<ConfigureDataCollectEnableApply> getApplyPage(Page page, ConfigureDataCollectEnableApply enableApply);

    boolean delApply(Integer id);

    boolean addEnableByApply(List<ConfigureDataCollectEnableApply> applyList);

    ConfigureDataCollectEnableApply getOldByApply(ConfigureDataCollectEnableApply enableApply);

    boolean updateEnergyExceptionDataInfoByApplyStartTime(String enterpriseCode,String dataCode,String startTime);

}
